{inputs, ...}: {
  imports = [inputs.treefmt-nix.flakeModule];

  perSystem = {
    pkgs,
    config,
    ...
  }: {
    formatter = config.treefmt.build.wrapper;

    treefmt = {
      flakeCheck = true;
      projectRootFile = "flake.nix";
      programs = {
        nixfmt = {
          enable = true;
          package = pkgs.alejandra;
        };

        statix.enable = true;
        shfmt.enable = true;
      };
    };
  };
}
