{
  perSystem = {
    pkgs,
    self',
    config,
    inputs',
    ...
  }: {
    devShells = {
      default = pkgs.mkShellNoCC {
        name = "haios devshell";
        FLAKE = ".";
        NH_FLAKE = ".";

        packages = [
          pkgs.git
          self'.formatter
          inputs'.agenix.packages.agenix
          inputs'.deploy-rs.packages.deploy-rs
        ];

        inputsFrom = [config.treefmt.build.devShell];
      };
    };
  };
}
