{
  lib,
  pkgs,
  config,
  ...
}: let
  inherit (lib.modules) mkForce;
in {
  config = {
    boot = {
      kernelPackages = mkForce pkgs.linuxPackages_6_12;
      zfs = {
        forceImportRoot = false;
        extraPools = ["zpool" "zootfs" "zepool"];
        devNodes = "/dev/disk/by-id";
        allowHibernation = true;
        package = pkgs.zfs;
      };
    };
  };
}
