{
  lib,
  config,
  ...
}: let
  inherit (lib.modules) mkIf mkDefault;

  cfg = config.olympus.system.boot;
in {
  config = mkIf (cfg.loader == "refind") {
    boot.loader.refind = {
      enable = mkDefault true;
      maxGenerations = 5;
      extraConfig = ''
      '';
    };
  };
}
