{
  lib,
  haiLib,
  config,
  ...
}: let
  inherit (lib.modules) mkIf;
  inherit (haiLib) mkServiceOption;

  cfg = config.olympus.services.caddy;
in {
  options.olympus.services.caddy = mkServiceOption "caddy" {domain = "blahai.gay";};

  config = mkIf cfg.enable {
    services.caddy = {
      enable = true;
    };
  };
}
