{
  imports = [
    ./hardware.nix
    ./users.nix
  ];

  olympus = {
    device = {
      cpu = "amd";
      gpu = "amd";
    };
    system = {
      boot = {
        loader = "refind";
        loadRecommendedModules = true;
        enableKernelTweaks = true;
        initrd.enableTweaks = true;
        plymouth.enable = true;
      };
      networking = {
        tailscale = {
          enable = true;
        };
      };
    };
  };
}
